Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1362725 - service gdm restart will lead to wild TTY flickering and rendering the computer instantly unusable (unless you use SSH to connect remotely)
Summary: service gdm restart will lead to wild TTY flickering and rendering the comp...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gdm
Version: 27
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Ray Strode [halfline]
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-03 01:59 UTC by Jonas Thiem
Modified: 2018-11-30 21:25 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-30 21:25:10 UTC


Attachments (Terms of Use)

Description Jonas Thiem 2016-08-03 01:59:50 UTC
Description of problem:
service gdm restart   will lead to wild TTY flickering and rendering the computer instantly unusable (unless you use SSH to connect remotely). Since I frequently use that command when a Wayland compositor got stuck and needed to be shot down or there was some problem with the X session to recover the PC into a usable state, it would be nice if this was fixed so I have a quicker way of getting back to a working computer than rebooting the entire system.

I once waited multiple minutes which actually made the flickering stop, however when then switching to gdm / VT-1 I got to a frozen login screen (gnome-shell as used by gdm apparently is frozen entirely, no UI element responds to anything) and due to the amazingness of Wayland preventing me from switching to another VT again I was stuck and I essentially had to hard-reset the machine...



Version-Release number of selected component (if applicable):
GDM 3.20.1

How reproducible:
100% 

Steps to Reproduce:
1. Boot with graphical desktop as usual, 
2. Go to a TTY / VT, login as root
3. Type: service gdm restart     and press enter

Actual results:
flickering madness ensues, both any open graphical sessions and regular TTY login is rendered unusable

Expected results:
gdm restarts, and I can resume using the computer normally

Additional info:

Comment 1 Jonas Thiem 2016-09-22 01:13:45 UTC
This still happens, although I noticed when hitting Enter randomly and waiting for a bit it usually recovers. It still makes the PC unusable for 1-2 minutes and it seems REALLY broken, whatever is going on there..

Comment 2 Jonas Thiem 2016-10-10 12:38:14 UTC
Anyone? Isn't restarting gdm considered somewhat important?

I know I use it a lot because I never encountered a gnome-shell version in Fedora which wasn't unstable in some way...

And being locked out of the computer entirely with possibly needing to reboot really isn't that fun.

Comment 3 Ian Collier 2016-10-12 12:10:00 UTC
Probably a duplicate of Bug 1330518.  You can try this:
service gdm stop
killall -u gdm
service gdm start

Comment 4 Fedora End Of Life 2017-07-25 22:13:37 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 5 Fedora End Of Life 2017-08-08 16:11:36 UTC
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 6 Jonas Thiem 2017-08-08 16:55:34 UTC
This works now:

service gdm restart

.. but this leads to the same flickering madness as before:

killall -9 gdm   (in a TTY)

Comment 7 Fedora End Of Life 2018-05-03 08:17:19 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 8 Jonas Thiem 2018-05-03 11:59:22 UTC
Still seen this happen in Fedora 27.

Comment 9 Jonas Thiem 2018-05-03 12:05:25 UTC
Thinking more about this, I think the problem is that if gdm fails to start, the script will retry in an infinite super fast loop.

What the script should do is detect an early crash, and stop doing that. It badly interferes with TTY usage, and therefore it can make recovery from such a state without ACPI shutdown/reboot really difficult.

Comment 10 Ben Cotton 2018-11-27 15:52:14 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 11 Ben Cotton 2018-11-30 21:25:10 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.